Bug 127426 - [MAINTAINER] update net-im/pidgin-msn-pecan to 0.0.16
Summary: [MAINTAINER] update net-im/pidgin-msn-pecan to 0.0.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-16 21:00 UTC by Henrik Friedrichsen
Modified: 2008-10-05 11:30 UTC (History)
0 users

See Also:


Attachments
pecan.patch (2.81 KB, patch)
2008-09-16 21:00 UTC, Henrik Friedrichsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Friedrichsen 2008-09-16 21:00:02 UTC

    
Comment 1 Martin Wilke freebsd_committer 2008-09-16 21:07:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Henrik Friedrichsen 2008-09-18 15:13:48 UTC
Please additionally apply this patch to fix build errors on amd64:

--- amdbuild.patch begins here ---
diff -Naur ./files/patch-Makefile ../pidgin-msn-pecan/files/patch-Makefile
--- ./files/patch-Makefile	2008-09-18 16:10:06.000000000 +0200
+++ ../pidgin-msn-pecan/files/patch-Makefile	2008-09-18 16:10:19.000000000 +0200
@@ -15,7 +15,7 @@
  FALLBACK_CFLAGS+=-I./fix_purple
  
 -LDFLAGS:=-Wl,--no-undefined
-+LDFLAGS:=-Wl,--no-undefined,-lintl
++LDFLAGS:=-Wl,--no-undefined,-lintl,-lc
  
  prefix=$(DESTDIR)/$(PURPLE_PREFIX)
  plugin_dir=$(prefix)/lib/purple-2

--- amdbuild.patch ends here ---
Comment 3 Martin Wilke freebsd_committer 2008-09-25 23:13:21 UTC
State Changed
From-To: open->feedback

Hi, 

Build failed with the secound patch, 

http://i386.miwibox.org/index.php?action=describe_port&id=640 
http://amd64.miwibox.org/index.php?action=describe_port&id=665 

Can you please take a look? 

-Martin
Comment 4 Martin Wilke freebsd_committer 2008-10-05 11:23:30 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2008-10-05 11:23:35 UTC
miwi        2008-10-05 10:23:22 UTC

  FreeBSD ports repository

  Modified files:
    net-im/pidgin-msn-pecan Makefile distinfo 
    net-im/pidgin-msn-pecan/files patch-Makefile 
  Log:
  - Update to 0.0.16
  
  PR:             127426
  Submitted by:   Henrik Friedrichsen <hrkfrd@googlemail.com> (maintainer)
  
  Revision  Changes    Path
  1.4       +8 -2      ports/net-im/pidgin-msn-pecan/Makefile
  1.3       +3 -3      ports/net-im/pidgin-msn-pecan/distinfo
  1.3       +12 -13    ports/net-im/pidgin-msn-pecan/files/patch-Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"